require 'jruby-kafka'

require_relative 'base'


module Anschel
  class Input
    class Kafka < Base
      def initialize output, config, stats, log
        @consumer_group = ::Kafka::Group.new config
        @consumer_group.run num_cpus, output
      end

      def stop
        return if @stopped
        @consumer_group.shutdown
        @stopped = true
      end
    end
  end
end